﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MiniIllustPuzzle
{
    public class CNText
    {
        /// <summary> コンストラクター
        /// </summary>
        public CNText()
        {
            SetArray();
        }

        /// <summary> [GetNumberArray]メソッド
        /// </summary>
        /// <param name="vnum"></param>
        /// <returns></returns>
        public List<string> GetNumberArray(int vnum)
        {
            string snum = CC.PadLeft0(vnum.ToString(), 2);
            int num1 = Int32.Parse(snum.Substring(0, 1));
            int num2 = Int32.Parse(snum.Substring(1, 1));

            var lstNArray = new List<string>();
            for (int i = 0; i < CSIZE; i++)
            {
                lstNArray.Add(_t[num1, i] + _l[num2, i]);
            }

            return lstNArray;
        }
        
        const int CSIZE = 13;

        private string[,] _l;
        private string[,] _t;

        /// <summary> [SetArray]メソッド
        /// コンストラクターから呼出し
        /// </summary>
        private void SetArray()
        {
            _l = new string[10, CSIZE];
            _t = new string[4, CSIZE];

            // _t[0]
            _t[0, 0] = "0,0,0,0,0,0,0";
            _t[0, 1] = "0,0,0,0,0,0,0";
            _t[0, 2] = "0,0,0,0,0,0,0";
            _t[0, 3] = "0,0,0,0,0,0,0";
            _t[0, 4] = "0,0,0,0,0,0,0";
            _t[0, 5] = "0,0,0,0,0,0,0";
            _t[0, 6] = "0,0,0,0,0,0,0";
            _t[0, 7] = "0,0,0,0,0,0,0";
            _t[0, 8] = "0,0,0,0,0,0,0";
            _t[0, 9] = "0,0,0,0,0,0,0";
            _t[0, 10] = "0,0,0,0,0,0,0";
            _t[0, 11] = "0,0,0,0,0,0,0";
            _t[0, 12] = "0,0,0,0,0,0,0";

            // _t[1]
            _t[1, 0] = "0,0,0,0,0,0,0";
            _t[1, 1] = "0,0,0,0,0,0,0";
            _t[1, 2] = "0,0,0,0,2,0,0";
            _t[1, 3] = "0,0,0,2,2,0,0";
            _t[1, 4] = "0,0,0,0,2,0,0";
            _t[1, 5] = "0,0,0,0,2,0,0";
            _t[1, 6] = "0,0,0,0,2,0,0";
            _t[1, 7] = "0,0,0,0,2,0,0";
            _t[1, 8] = "0,0,0,0,2,0,0";
            _t[1, 9] = "0,0,0,0,2,0,0";
            _t[1, 10] = "0,0,0,0,2,0,0";
            _t[1, 11] = "0,0,0,0,0,0,0";
            _t[1, 12] = "0,0,0,0,0,0,0";

            // _t[2]
            _t[2, 0] = "0,0,0,0,0,0,0";
            _t[2, 1] = "0,0,0,0,0,0,0";
            _t[2, 2] = "0,0,0,2,2,0,0";
            _t[2, 3] = "0,0,2,0,0,2,0";
            _t[2, 4] = "0,0,2,0,0,2,0";
            _t[2, 5] = "0,0,0,0,0,2,0";
            _t[2, 6] = "0,0,0,0,0,2,0";
            _t[2, 7] = "0,0,0,0,2,0,0";
            _t[2, 8] = "0,0,0,2,0,0,0";
            _t[2, 9] = "0,0,2,0,0,0,0";
            _t[2, 10] = "0,0,2,2,2,2,0";
            _t[2, 11] = "0,0,0,0,0,0,0";
            _t[2, 12] = "0,0,0,0,0,0,0";

            // _t[3]
            _t[3, 0] = "0,0,0,0,0,0,0";
            _t[3, 1] = "0,0,0,0,0,0,0";
            _t[3, 2] = "0,0,0,2,2,0,0";
            _t[3, 3] = "0,0,2,0,0,2,0";
            _t[3, 4] = "0,0,2,0,0,2,0";
            _t[3, 5] = "0,0,0,0,0,2,0";
            _t[3, 6] = "0,0,0,2,2,0,0";
            _t[3, 7] = "0,0,0,0,0,2,0";
            _t[3, 8] = "0,0,2,0,0,2,0";
            _t[3, 9] = "0,0,2,0,0,2,0";
            _t[3, 10] = "0,0,0,2,2,0,0";
            _t[3, 11] = "0,0,0,0,0,0,0";
            _t[3, 12] = "0,0,0,0,0,0,0";

            // _l[0]
            _l[0, 0] = ",0,0,0,0,0,0";
            _l[0, 1] = ",0,0,0,0,0,0";
            _l[0, 2] = ",0,2,2,0,0,0";
            _l[0, 3] = ",2,0,0,2,0,0";
            _l[0, 4] = ",2,0,0,2,0,0";
            _l[0, 5] = ",2,0,0,2,0,0";
            _l[0, 6] = ",2,0,0,2,0,0";
            _l[0, 7] = ",2,0,0,2,0,0";
            _l[0, 8] = ",2,0,0,2,0,0";
            _l[0, 9] = ",2,0,0,2,0,0";
            _l[0, 10] = ",0,2,2,0,0,0";
            _l[0, 11] = ",0,0,0,0,0,0";
            _l[0, 12] = ",0,0,0,0,0,0";
            
            // _l[1]
            _l[1, 0] = ",0,0,0,0,0,0";
            _l[1, 1] = ",0,0,0,0,0,0";
            _l[1, 2] = ",0,0,2,0,0,0";
            _l[1, 3] = ",0,2,2,0,0,0";
            _l[1, 4] = ",0,0,2,0,0,0";
            _l[1, 5] = ",0,0,2,0,0,0";
            _l[1, 6] = ",0,0,2,0,0,0";
            _l[1, 7] = ",0,0,2,0,0,0";
            _l[1, 8] = ",0,0,2,0,0,0";
            _l[1, 9] = ",0,0,2,0,0,0";
            _l[1, 10] = ",0,0,2,0,0,0";
            _l[1, 11] = ",0,0,0,0,0,0";
            _l[1, 12] = ",0,0,0,0,0,0";
            
            // _l[2]
            _l[2, 0] = ",0,0,0,0,0,0";
            _l[2, 1] = ",0,0,0,0,0,0";
            _l[2, 2] = ",0,2,2,0,0,0";
            _l[2, 3] = ",2,0,0,2,0,0";
            _l[2, 4] = ",2,0,0,2,0,0";
            _l[2, 5] = ",0,0,0,2,0,0";
            _l[2, 6] = ",0,0,0,2,0,0";
            _l[2, 7] = ",0,0,2,0,0,0";
            _l[2, 8] = ",0,2,0,0,0,0";
            _l[2, 9] = ",2,0,0,0,0,0";
            _l[2, 10] = ",2,2,2,2,0,0";
            _l[2, 11] = ",0,0,0,0,0,0";
            _l[2, 12] = ",0,0,0,0,0,0";

            // _l[3]
            _l[3, 0] = ",0,0,0,0,0,0";
            _l[3, 1] = ",0,0,0,0,0,0";
            _l[3, 2] = ",0,2,2,0,0,0";
            _l[3, 3] = ",2,0,0,2,0,0";
            _l[3, 4] = ",2,0,0,2,0,0";
            _l[3, 5] = ",0,0,0,2,0,0";
            _l[3, 6] = ",0,2,2,0,0,0";
            _l[3, 7] = ",0,0,0,2,0,0";
            _l[3, 8] = ",2,0,0,2,0,0";
            _l[3, 9] = ",2,0,0,2,0,0";
            _l[3, 10] = ",0,2,2,0,0,0";
            _l[3, 11] = ",0,0,0,0,0,0";
            _l[3, 12] = ",0,0,0,0,0,0";

            // _l[4]
            _l[4, 0] = ",0,0,0,0,0,0";
            _l[4, 1] = ",0,0,0,0,0,0";
            _l[4, 2] = ",0,0,2,0,0,0";
            _l[4, 3] = ",0,2,2,0,0,0";
            _l[4, 4] = ",0,2,2,0,0,0";
            _l[4, 5] = ",0,2,2,0,0,0";
            _l[4, 6] = ",2,0,2,0,0,0";
            _l[4, 7] = ",2,0,2,0,0,0";
            _l[4, 8] = ",2,2,2,2,0,0";
            _l[4, 9] = ",0,0,2,0,0,0";
            _l[4, 10] = ",0,0,2,0,0,0";
            _l[4, 11] = ",0,0,0,0,0,0";
            _l[4, 12] = ",0,0,0,0,0,0";

            // _l[5]
            _l[5, 0] = ",0,0,0,0,0,0";
            _l[5, 1] = ",0,0,0,0,0,0";
            _l[5, 2] = ",2,2,2,2,0,0";
            _l[5, 3] = ",2,0,0,0,0,0";
            _l[5, 4] = ",2,0,0,0,0,0";
            _l[5, 5] = ",2,2,2,0,0,0";
            _l[5, 6] = ",2,0,0,2,0,0";
            _l[5, 7] = ",0,0,0,2,0,0";
            _l[5, 8] = ",2,0,0,2,0,0";
            _l[5, 9] = ",2,0,0,2,0,0";
            _l[5, 10] = ",0,2,2,0,0,0";
            _l[5, 11] = ",0,0,0,0,0,0";
            _l[5, 12] = ",0,0,0,0,0,0";

            // _l[6]
            _l[6, 0] = ",0,0,0,0,0,0";
            _l[6, 1] = ",0,0,0,0,0,0";
            _l[6, 2] = ",0,2,2,0,0,0";
            _l[6, 3] = ",2,0,0,2,0,0";
            _l[6, 4] = ",2,0,0,0,0,0";
            _l[6, 5] = ",2,2,2,0,0,0";
            _l[6, 6] = ",2,0,0,2,0,0";
            _l[6, 7] = ",2,0,0,2,0,0";
            _l[6, 8] = ",2,0,0,2,0,0";
            _l[6, 9] = ",2,0,0,2,0,0";
            _l[6, 10] = ",0,2,2,0,0,0";
            _l[6, 11] = ",0,0,0,0,0,0";
            _l[6, 12] = ",0,0,0,0,0,0";

            // _l[7]
            _l[7, 0] = ",0,0,0,0,0,0";
            _l[7, 1] = ",0,0,0,0,0,0";
            _l[7, 2] = ",2,2,2,2,0,0";
            _l[7, 3] = ",0,0,0,2,0,0";
            _l[7, 4] = ",0,0,0,2,0,0";
            _l[7, 5] = ",0,0,2,0,0,0";
            _l[7, 6] = ",0,0,2,0,0,0";
            _l[7, 7] = ",0,0,2,0,0,0";
            _l[7, 8] = ",0,2,0,0,0,0";
            _l[7, 9] = ",0,2,0,0,0,0";
            _l[7, 10] = ",0,2,0,0,0,0";
            _l[7, 11] = ",0,0,0,0,0,0";
            _l[7, 12] = ",0,0,0,0,0,0";

            // _l[8]
            _l[8, 0] = ",0,0,0,0,0,0";
            _l[8, 1] = ",0,0,0,0,0,0";
            _l[8, 2] = ",0,2,2,0,0,0";
            _l[8, 3] = ",2,0,0,2,0,0";
            _l[8, 4] = ",2,0,0,2,0,0";
            _l[8, 5] = ",2,0,0,2,0,0";
            _l[8, 6] = ",0,2,2,0,0,0";
            _l[8, 7] = ",2,0,0,2,0,0";
            _l[8, 8] = ",2,0,0,2,0,0";
            _l[8, 9] = ",2,0,0,2,0,0";
            _l[8, 10] = ",0,2,2,0,0,0";
            _l[8, 11] = ",0,0,0,0,0,0";
            _l[8, 12] = ",0,0,0,0,0,0";

            // _l[9]
            _l[9, 0] = ",0,0,0,0,0,0";
            _l[9, 1] = ",0,0,0,0,0,0";
            _l[9, 2] = ",0,2,2,0,0,0";
            _l[9, 3] = ",2,0,0,2,0,0";
            _l[9, 4] = ",2,0,0,2,0,0";
            _l[9, 5] = ",2,0,0,2,0,0";
            _l[9, 6] = ",2,0,0,2,0,0";
            _l[9, 7] = ",0,2,2,2,0,0";
            _l[9, 8] = ",0,0,0,2,0,0";
            _l[9, 9] = ",2,0,0,2,0,0";
            _l[9, 10] = ",0,2,2,0,0,0";
            _l[9, 11] = ",0,0,0,0,0,0";
            _l[9, 12] = ",0,0,0,0,0,0";

        }
    }
}
